
date

echo "\nEmpieza ab39a_crear.sh" `date`

. /aplic/n38/cade/n38bd 35044 01 STRING

STAT=$?
if [ $STAT != 0 ]; then
    echo "ERROR N38BD"
    exit 1
else
   BD=`echo $STRING |cut -d '#' -f1`
   USU=`echo $STRING |cut -d '#' -f2`
   PASS=`echo $STRING |cut -d '#' -f3`
fi

echo $USU $PASS

echo "ab39a antes de tablas.sql"
sqlplus $USU/$PASS @/aplic/ab39a/scripts/1_1_tablas.sql
echo "ab39a despues de tablas.sql"

echo "ab39a antes de fks.sql"
sqlplus $USU/$PASS @/aplic/ab39a/scripts/1_2_fks.sql
echo "ab39a despues de fks.sql"

echo "ab39a antes de comentarios.sql"
sqlplus $USU/$PASS @/aplic/ab39a/scripts/1_3_comentarios.sql
echo "ab39a despues de fks.sql"

echo "ab39a antes de secuencias.sql"
sqlplus $USU/$PASS @/aplic/ab39a/scripts/3_secuencias.sql
echo "ab39a despues de secuencias.sql"

echo "ab39a antes de vistas.sql"
sqlplus $USU/$PASS @/aplic/ab39a/scripts/4_vistas.sql
echo "ab39a despues de vistas.sql"

echo "ab39a antes de sinonimos.sql"
sqlplus $USU/$PASS @/aplic/ab39a/scripts/5_sinonimos.sql
echo "ab39a despues de sinonimos.sql"

echo "ab39a antes de datos.sql"
sqlplus $USU/$PASS @/aplic/ab39a/scripts/6_carga_datos.sql
echo "ab39a despues de datos.sql"

echo "ab39a antes de 7_actualizarSeq.sql"
sqlplus $USU/$PASS @/aplic/ab39a/scripts/7_actualizarSeq.sql
echo "ab39a despues de 7_actualizarSeq.sql"

echo "ab39a antes de procedures.sql"
sqlplus $USU/$PASS @/aplic/ab39a/scripts/8_procedures.sql
echo "ab39a despues de procedures.sql"

echo "ab39a antes de 9_recompilar_esquema.sql"
sqlplus $USU/$PASS @/aplic/ab39a/scripts/9_recompilar_esquema.sql
echo "ab39a despues de 9_recompilar_esquema.sql"

echo "Fin crear"

exit 0
